- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#body.aspect)
- [ActivateDaiEncodingProfileRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#ActivateDaiEncodingProfileRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#ActivateDaiEncodingProfileRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#try-it)

Activates a list of `DaiEncodingProfile` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/daiEncodingProfiles:batchActivate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#ActivateDaiEncodingProfileRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchActivate#ActivateDaiEncodingProfileRequest`)`` Required. The `DaiEncodingProfile` objects to activate. A maximum of 100 objects can be activated in a batch. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ActivateDaiEncodingProfileRequest

Request object for `ActivateDaiEncodingProfile` method.

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The resource name of the DaiEncodingProfile to activate. Format: `networks/{networkCode}/daiEncodingProfiles/{dai_encoding_profile_id}` |